#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBase.h"
#include "EPlayerRole.h"
#include "UObject/NoExportTypes.h"
#include "HoHRoleData.generated.h"

USTRUCT(BlueprintType)
struct FHoHRoleData : public FDBDTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EPlayerRole Role;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FSoftObjectPath IconPath;

public:
	DEADBYDAYLIGHT_API FHoHRoleData();
};

FORCEINLINE uint32 GetTypeHash(const FHoHRoleData) { return 0; }
